#include <LiquidCrystal_I2C.h>
#include <Wire.h>

LiquidCrystal_I2C lcd(0x3F,16,2);  // set the LCD address to 0x27 for a 16 chars and 2 line display. ACHTUNG: Adresse kann auch 0x3F sein !!!

// Anschlüsse:
// GND - GND
// VCC - 5V
// SDA - ANALOG Pin 4
// SCL - ANALOG pin 5

float voltage;
float B;

// ===========================
// =======   SETUP   =========
// ===========================

void setup()
   {
    Serial.begin(9600);
    
    lcd.init();        // initialize the lcd
    lcd.backlight();
    lcd.setCursor(0,0);
    lcd.print("   Teslameter");
    lcd.setCursor(0,1);
    lcd.print("  max. 3 Tesla");
    
    delay(3000);
    
    lcd.setCursor(0,0);
    lcd.print("             ");
    lcd.setCursor(0,1);
    lcd.print("              ");
        
   }


// ===========================
// =======    LOOP   =========
// ===========================

void loop()
   {
    voltage = analogRead(A0) * 5.0 / 1023.0;   // Eingangsspannung in Volt
    
    B = voltage / 1.5;    // Umrechnung U[Volt] in B[Tesla]
    
    //Serial.println(voltage);
    
    lcd.setCursor(0,0);
    lcd.print("B = ");
    lcd.print(B,2);
    lcd.print(" T      ");
    
    delay (100);
       
   }


